﻿/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package
{
		

	import nl.funkymonkey.drawing.DrawingShapes;
	import flash.display.Shape;
	import flash.events.Event;
	import flash.display.Sprite;
	
	

	import com.demonsters.debugger.MonsterDebugger;


	public class Main extends Sprite
	{

		
		/**
		 * Constructeur.
		 * 
		 */
		public function Main()
		{
			// attend la fin de l'initialisation de la scène
			this.addEventListener(Event.ADDED_TO_STAGE, onReady, false, 0, true);
		}

		/**
		 * Démarrage de l'application.
		 * définit le nombre d'images par secondes dans les paramètres de compilation
		 * -default-frame-rate 40
		 * 
		 */
		private function onReady(event : Event) : void
		{
			this.removeEventListener(Event.ADDED_TO_STAGE, onReady);

			// Init De MonsterDebugger
			MonsterDebugger.initialize(this);
			MonsterDebugger.trace(this, "Start Application");
			
			this.buildUI();	
		}

		private function buildUI() : void
		{
			var oShape : Shape = new Shape( );
			
			// dessiner un arc de cercle
			oShape.graphics.lineStyle( 4, 0x006f77 );
			// shape, x, y, angle, diametre, angle de départ - 360° un cercle -, angle en y - rotation -
			DrawingShapes.drawArc( oShape.graphics, 463, 80, 69, 222, 90 );
			
			// dessiner un polygone avec côtés arrondis !
			oShape.graphics.lineStyle( 3, 0x00C5DF );
			// shape, x, y, nombre de côté, angle intérieur, angle extérieur, angle de rotation
			DrawingShapes.drawBurst( oShape.graphics, 163, 60, 4, 33, 60, 60 );
			
			// dessiner ligne pointillée
			oShape.graphics.lineStyle( 2, 0x02313B );
			// shape, x depart, y depart, x2 arrivée, y2 arrivée, longueur du trait, espace entre les pointillés
			DrawingShapes.drawDash( oShape.graphics, 0, 0, 333, 333, 33, 4 );
			
			// dessiner un écrou
			oShape.graphics.lineStyle( 3, 0xE16606 );
			// shape, x, y, nombre de côté cercle extérieur, angle intérieur, angle extérieur, angle de rotation, nombre de côté cercle intérieur, diametre cercle intérieur
			DrawingShapes.drawGear( oShape.graphics, 80, 200, 13, 33, 30, 4, 13, 63 );
			
			// dessiner un polygone
			oShape.graphics.lineStyle( 3, 0x006f77 );
			// shape, x, y, nombre de côté, diamètre : Number, angle de rotation
			DrawingShapes.drawPolygon( oShape.graphics, 150, 330, 13, 63, 4 );
			
			// dessiner une étoile
			oShape.graphics.lineStyle( 2, 0x00C5DF );
			// shape, x, y, nombre de pics, angle intérieur, angle extérieur, angle de rotation
			DrawingShapes.drawStar( oShape.graphics, 400, 300, 6, 30, 63, 27 );
			
			// dessiner un camembert ou pacman !
			oShape.graphics.lineStyle( 2, 0xFFCC00 );
			// shape, x, y, diametre, angle (360) - périmètre du camembert, angle de rotation,  angle d'arrondi
			DrawingShapes.drawWedge( oShape.graphics, 330, 160, 63, 300, 213, 0 );
			
			// dessiner une ligne
			oShape.graphics.lineStyle( 2, 0x006f77 );
			// shape, x, y, longueur, direction
			DrawingShapes.drawLine( oShape.graphics, 222, 160, 333, DrawingShapes.VERTICAL_LINE );
			
			// dessiner une ligne
			oShape.graphics.lineStyle( 3, 0x00C5DF );
			// shape, x, y, longueur, direction
			DrawingShapes.drawLine( oShape.graphics, 240, 80, 333, DrawingShapes.HORIZONTAL_LINE );
			
			
			// ajout des formes sur la scène
			addChild( oShape );
		}

	}
}
